Cancel a message
curl --request POST \
--url https://ds.cominty.com/chat/messages/{message_id}/cancel \
--header 'x-cominty-token: <api-key>'import requests
url = "https://ds.cominty.com/chat/messages/{message_id}/cancel"
headers = {"x-cominty-token": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-cominty-token': '<api-key>'}};
fetch('https://ds.cominty.com/chat/messages/{message_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"content": "<string>",
"error_code": "budget_exhausted",
"questions": [
{
"prompt": "<string>",
"options": [
"<string>"
]
}
],
"live": true,
"status": "<string>",
"events": [
{}
],
"structured_output": {},
"files": [
{
"id": "<string>",
"name": "<string>",
"size": 123,
"mimetype": "<string>",
"origin": "user",
"share_links": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"last_accessed_at": "2023-11-07T05:31:56Z",
"access_count": 123,
"revoked": true,
"expires_at": "2023-11-07T05:31:56Z",
"expired": true,
"protected": true,
"url": "<string>"
}
],
"url": "<string>"
}
],
"agent": {
"id": "<string>",
"name": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Cancel a message
Cancel an in-flight assistant message. The response is the message with status cancelled.
POST
/
chat
/
messages
/
{message_id}
/
cancel
Cancel a message
Authorizations
A Cominty Platform API secret. A key created now starts with sk-cmt-. Send it as is, or as Bearer sk-cmt-..., with at most one Bearer prefix. A key created before the prefix existed has no sk-cmt- and still works.
Path Parameters
Identifier of the in-flight assistant message.
Response
Successful Response
Allowed value:
"budget_exhausted"Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes